A Brief  overview
===========================
System test suite- This is a test suite to test system level scenario on Linux like platforms.

Platforms supported
================================
1)omap35x
2)am3517
3)am18x
4)am17x
5)am37x
6)ti816x

Platforms tested
================================
1)omap35x 
2)am18x 
3)am17x
4)am3517

Steps to build
================
NA

The test suite is script only and is available in script/common/ folder

Step to clean
=============
NA

Steps to run
================
1)Boot the DUT using the uImage built from appropriate PSP release.
2)Run default scrpt to see help
3)Refer user guide for further reading
	
Usage:
sh system_test_script <options>

--- HELP OPTIONS  ---
$0 -type -usb_file -usb1_file -spi_file -nand_file -nor_file -sd_file -dst_ip -cap_file -plat -audio_device_node -audio_file_name [-h/elp] [-v/ersion] 

-plat                 : Platform, (ti816x, am17x, am18x, omap35x, am3517 and am37x)
-type                 : Test type, alsa_func
-usb_file             : File name to copy at USB [Make sure the file is at given location with given name]
-usb1_file            : File name to copy at USB1 [Make sure the file is at given location with given name]
-spi_file             : File name to copy at SPI [Make sure the file is at given location with given name]
-nand_file            : File name to copy at NAND [Make sure the file is at given location with given name]
-nor_file             : File name to copy at NOR [Make sure the file is at given location with given name]     
-sd_file              : File name to copy at MMCSD [Make sure the file is at given location with given name]
-dst_ip               : IP address for server running iperf
-cap_file             : File name to capture performance log
-audio_device_node    : Audio device, [Default: hw:0,0]
-audio_file_name      : Audio file name, [Default: test.snd]
-help/h               : Displays help
-version/v            : Displays Vesrion

Expected output
==========================
When run  the script by passing type as alsa_func, system audio testcases are executed for the platform specified.
When run  the script by passing type as filesys_func, system filesystem testcases are executed for the platform specified.
When run  the script by passing type as all, all system level testcases are executed for the platform specified.

Supported features
=====================
1)Audio capuure and playback from diffrent storages.
1)File transfer between diffrent storages.
3)Simultaneous file transfer between diffrent storages.

Point of contact
================
Please submit your queries or comments at the forums http://community.ti.com or http://support.ti.com
